package constants

type websocket string

// websocket消息类型
const (
	//鉴权失败
	WEBSOCKET_UNAUTH = "WEBSOCKET_UNAUTH"
	//ws连接成功
	WEBSOCKET_CONNECT_SUCCESS = "WEBSOCKET_CONNECT_SUCCESS"
	//请求恢复为上次连接的标识
	WEBSOCKET_REQUEST_REUSE_LAST_CONNECT = "WEBSOCKET_REQUEST_REUSE_LAST_CONNECT"
	//请求恢复为上次连接的标识错误
	WEBSOCKET_REQUEST_RESUME_LAST_CONNECT_ERR = "WEBSOCKET_REQUEST_RESUME_LAST_CONNECT_ERR"
	//图片渲染
	WEBSOCKET_RENDER_IMAGE = "WEBSOCKET_RENDER_IMAGE"
	//数据格式错误
	WEBSOCKET_ERR_DATA_FORMAT = "WEBSOCKET_ERR_DATA_FORMAT"
	//第三方登录通知
	WEBSOCKET_THIRD_PARTY_LOGIN_NOTIFY = "WEBSOCKET_THIRD_PARTY_LOGIN_NOTIFY"
)

// 云渲染完成通知api需要的签名字符串
const RENDER_NOTIFY_SIGN_KEY = "fusen-render-notify-%s-%d"

// 第三方登录通知api需要的签名字符串
const THIRD_PARTY_LOGIN_NOTIFY_SIGN_KEY = "fusen-render-notify-%s-%d"
