package initalize

import (
	"fusenapi/service/repositories"

	"github.com/aws/aws-sdk-go/aws/session"
	"gorm.io/gorm"
)

type Repositories struct {
	ImageHandle repositories.ImageHandle
}

type NewAllRepositorieData struct {
	GormDB        *gorm.DB
	BLMServiceUrl *string
	AwsSession    *session.Session
}

func NewAllRepositories(newData *NewAllRepositorieData) *Repositories {
	return &Repositories{
		ImageHandle: repositories.NewImageHandle(newData.GormDB, newData.BLMServiceUrl, newData.AwsSession),
	}
}
