package gmodel

import (
	"gorm.io/gorm"
)

// fs_email_template 邮件模板表(暂未使用)
type FsEmailTemplate struct {
	Id            int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Type          *int64  `gorm:"default:0;" json:"type"`                          // 模板类型
	Name          *string `gorm:"default:'';" json:"name"`                         // 模板名称
	Title         *string `gorm:"default:'';" json:"title"`                        // 模板标题
	ReplaceFields *string `gorm:"default:'';" json:"replace_fields"`               // 需要替换的字段
	Content       *string `gorm:"default:'';" json:"content"`                      // 模板内容
	Status        *int64  `gorm:"default:0;" json:"status"`                        // 状态值（0:禁用，1:启用）
	Ctime         *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsEmailTemplateModel struct {
	db   *gorm.DB
	name string
}

func NewFsEmailTemplateModel(db *gorm.DB) *FsEmailTemplateModel {
	return &FsEmailTemplateModel{db: db, name: "fs_email_template"}
}
