package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_model3d_light 模型-灯光组表
type FsProductModel3dLight struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Name   *string `gorm:"default:'';" json:"name"`                         // 灯光名称
	Info   *string `gorm:"default:'';" json:"info"`                         // 灯光数据（json格式）
	Status *int64  `gorm:"default:1;" json:"status"`                        // 状态值（1：显示，0：删除）
	Ctime  *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
}
type FsProductModel3dLightModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductModel3dLightModel(db *gorm.DB) *FsProductModel3dLightModel {
	return &FsProductModel3dLightModel{db: db, name: "fs_product_model3d_light"}
}
