package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_element_22
type FsProductTemplateElement22 struct {
	Id                int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Title             *string `gorm:"default:'';" json:"title"`                        // 产品模板名称
	ProductTemplateId *int64  `gorm:"index;default:0;" json:"product_template_id"`     // 产品模板id
	Model             *string `gorm:"default:'';" json:"model"`                        //
	Mode              *string `gorm:"default:'';" json:"mode"`                         //
	Light             *int64  `gorm:"default:0;" json:"light"`                         //
	Rotation          *string `gorm:"default:'';" json:"rotation"`                     //
	Scale             *string `gorm:"default:'';" json:"scale"`                        //
}
type FsProductTemplateElement22Model struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateElement22Model(db *gorm.DB) *FsProductTemplateElement22Model {
	return &FsProductTemplateElement22Model{db: db, name: "fs_product_template_element_22"}
}
