package file

import (
	"encoding/base64"
	"net/http"
	"strings"
)

func FileBase64ToByte(fileData string) ([]byte, string, error) {
	RBase64Point := strings.LastIndex(fileData, ";base64,") + 8
	fileDataStr := fileData[RBase64Point:]
	dist, err := base64.StdEncoding.DecodeString(fileDataStr)
	if err != nil {
		return nil, "", err
	}
	contentType := http.DetectContentType(dist)
	return dist, contentType, nil
}
