package gmodel

import (
	"gorm.io/gorm"
)

// fs_contact 该表暂未使用
type FsContact struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Name    *string `gorm:"default:'';" json:"name"`                         // 名字
	Email   *string `gorm:"index;default:'';" json:"email"`                  // 邮箱
	Subject *int64  `gorm:"default:0;" json:"subject"`                       // 主题
	Message *string `gorm:"default:'';" json:"message"`                      // 消息
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Status  *int64  `gorm:"default:0;" json:"status"`                        // 状态位 是否已处理
	Mark    *string `gorm:"default:'';" json:"mark"`                         // 后台订单备注
}
type FsContactModel struct {
	db   *gorm.DB
	name string
}

func NewFsContactModel(db *gorm.DB) *FsContactModel {
	return &FsContactModel{db: db, name: "fs_contact"}
}
