package gmodel

import (
	"gorm.io/gorm"
)

// fs_quotation_price 报价单价格表
type FsQuotationPrice struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	ProductId *int64  `gorm:"default:0;" json:"product_id"`                    // 产品id
	SizeId    *int64  `gorm:"default:0;" json:"size_id"`                       // 尺寸id
	PriceInfo *string `gorm:"default:'';" json:"price_info"`                   // 价格数据
	Status    *int64  `gorm:"default:1;" json:"status"`                        // 状态 1启用0废弃
	Ctime     *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsQuotationPriceModel struct {
	db   *gorm.DB
	name string
}

func NewFsQuotationPriceModel(db *gorm.DB) *FsQuotationPriceModel {
	return &FsQuotationPriceModel{db: db, name: "fs_quotation_price"}
}
