package gmodel

import (
	"gorm.io/gorm"
)

// fs_quotation_size_layout 产品尺寸排版表
type FsQuotationSizeLayout struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId *int64  `gorm:"unique_key;default:0;" json:"product_id"`         // 产品id
	SizeHtml  *string `gorm:"default:'';" json:"size_html"`                    // 尺寸排版html
	Status    *int64  `gorm:"default:1;" json:"status"`                        // 状态
	Ctime     *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsQuotationSizeLayoutModel struct {
	db   *gorm.DB
	name string
}

func NewFsQuotationSizeLayoutModel(db *gorm.DB) *FsQuotationSizeLayoutModel {
	return &FsQuotationSizeLayoutModel{db: db, name: "fs_quotation_size_layout"}
}
